/*------------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        modified by Shortie
 known Problems: none
 Version:        12.01.2010
 Description:    Commando Interpreter

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
------------------------------------------------------------------------------*/

#ifndef _CMD_H_
	#define _CMD_H_	
	
	typedef struct
	{
		char* cmd; 			// Stringzeiger auf Befehlsnamen
		void(*fp)(void);	// Zeiger auf auszufhrende Funktion
	} COMMAND_STRUCTUR;	
	
	#define MAX_VAR	10
	#define HELPTEXT	1
	
	extern unsigned char extract_cmd (char *);
	extern void write_eeprom_ip (unsigned int);
	
    extern void save_ip_addresses	(void);
    extern void read_ip_addresses	(void);
  
	//reset the unit
	extern void command_reset		(void);
	#if USE_NETCMDS
	extern void command_ver			(void);
	extern void command_ping 		(void);
	extern void command_arp 		(void);	//Ausgabe der ARP Tabelle
	extern void command_tcp 		(void);	//Ausgabe der TCP Tabelle
	#endif
	
	//ndern/ausgabe der IP, NETMASK, ROUTER_IP, NTP_IP
	extern void command_ip 			(void);
	extern void command_net 		(void);
	extern void command_router		(void);
	#if USE_NTP
	extern void command_ntp 		(void);
	extern void command_ntp_refresh	(void);
	#endif
	
	#if USE_SYSLOG
	extern void command_syslog		(void);
	#endif

	extern void long_delay			(unsigned int);
	extern void command_porta		(void);
	extern void command_portc		(void);
	extern void command_setPORTC	(void);
	extern void command_touchPORTC	(void);
	
	extern void command_mac			(void);
	extern void command_readvar		(void);
	extern void command_setvar		(void);
	extern void command_time		(void);
	#if USE_WOL
	extern void command_wol 		(void);
	#endif //USE_WOL
	#if USE_OW
	extern void command_ow 			(void);
	extern void command_owlist		(void);
	extern void command_owscan		(void);
	extern void command_owset		(void);
	#endif //USE_OW

    #if USE_MAIL
	extern void command_mail 		(void);
	#endif //USE_MAIL
	extern void command_help 		(void);
	#if USE_EEPVAR
	extern void command_sve			(void);
	extern void command_rve			(void);
	#endif
	#if USE_EEPVAR_CMD
	extern void command_eep			(void);
	extern void command_eepw		(void);
	#endif
	extern void eepvar_init			(void);
	
	#if USE_TFTPBOOT
	extern void command_reboot		(void);
	#if TFTP_CMD
		extern void command_tftp		(void);
		extern void command_tftpfile	(void);
		#undef	USE_TEXTVAR
		#define	USE_TEXTVAR	1
	#endif	//TFTP_CMD
	#endif	//USE_TFTPBOOT
	
	#if SDCARD_COMMANDS
		extern void command_diskinfo	(void);
		extern void command_catfile		(void);
		extern void	command_delfile		(void);
		extern void command_dir			(void);
		#undef	USE_TEXTVAR
		#define	USE_TEXTVAR	1
	#endif
	
	#if TWI_24Cxx
		extern void command_writeSL24Cxx	(void);
		extern void command_readSL24Cxx		(void);
	#endif

	#if TWI_SERVO
		extern void command_i2cservo	(void);
	#endif

	#define RESET() {asm("ldi r30,0"); asm("ldi r31,0"); asm("ijmp");}
	
#endif //_CMD_H_


