/*----------------------------------------------------------------------------
 Copyright:      Christoph Mai
 Author:         Christoph Mai
 Remarks:		 
 known Problems:
 Version:        18.10.2010
 Description:    

 This module interprets a stream of intel hex information and flashes it
 to the programm store.

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der
 GNU General Public License, wie von der Free Software Foundation verffentlicht,
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder
 (nach Ihrer Option) jeder spteren Version.

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung,
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE,
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 Programm erhalten haben.
 Falls nicht, schreiben Sie an die Free Software Foundation,
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------------*/

#include "config.h"

#if TWI_24Cxx

#include "24Cxx.h"
#include "i2cmaster.h"


//----------------------------------------------------------------------------
// Schreibe Byte in EEPROM an Adresse X

void SL24Cxx_write_byte(unsigned int address, unsigned char variable)
{
	i2c_start_wait(Dev24Cxx+I2C_WRITE);		// set device address & write mode
	i2c_write(address);						// write to address
	i2c_write(variable);					// write variable to EEPROM
	i2c_stop();								// set stop conditon = release bus
}

//----------------------------------------------------------------------------
// Lese Byte an Adresse X

unsigned char SL24Cxx_read_byte(unsigned int address)
{
	unsigned char ret;
	
	i2c_start_wait(Dev24Cxx+I2C_WRITE);		// set device address & write mode
	i2c_write(address);						// write address = 5
	i2c_rep_start(Dev24Cxx+I2C_READ);		// set device address & read mode
	ret = i2c_readNak();					// read one byte from EEPROM
	i2c_stop();
	
	return ret;
}

//----------------------------------------------------------------------------
// Lese signed int an Adresse X
/*
signed int SL24Cxx_read_int16(unsigned int address)
{
	unsigned char ret1,ret2;
	signed int ret;
	
	i2c_start_wait(Dev24Cxx+I2C_WRITE);		// set device address & write mode
	i2c_write(address);						// write address = 5
	i2c_rep_start(Dev24Cxx+I2C_READ);		// set device address & read mode
	ret1 = i2c_readAck();					// read one byte from EEPROM
	ret2 = i2c_readNak();					// read another byte from EEPROM
	i2c_stop();
	
	ret = (int)(((unsigned int)(ret1<<8))|ret2);
	return ret;
}
*/

//----------------------------------------------------------------------------
// Nur zu testen - keine wirklich sinnvolle Funktion ;-)
//
// Im makefile mu wegen rand() gendert werden:  LDFLAGS += -lm -lc
/*

#include <stdlib.h>
#include <avr/pgmspace.h>
#include <stdarg.h>
#include <ctype.h>
#include <string.h>
#include "usart.h"

void fill_eeprom(void)	
{
	int zufall;
	
	for (unsigned int i=0; i < 2048; i++)		// 2048 bytes schreiben (SL24C16)
	{
		zufall = rand()%256;					// Byte aus Zufallszahl
		
		i2c_start_wait(Dev24Cxx+I2C_WRITE);		// set device address and write mode
		i2c_write(i);							// write address
		// i2c_write(0xff);						// write 0xff to EEPROM
		i2c_write(zufall);						// write value to EEPROM
		i2c_stop();								// set stop conditon = release bus
		usart_write(".");
	}
	usart_write("\r\n");
}

*/

//----------------------------------------------------------------------------

#endif