/**
 * rc5.h
 *
 * basiert auf Code von Peter Dannegger und Wilfried Wallucks
 *
 */

#ifndef _RC5_H_
	#define _RC5_H_

	//#define RC5_DEBUG usart_write
	#define RC5_DEBUG(...)

//---------------------------------------------------------------------------
//	Port an welchem der IR-Empfnger angeschlossen ist
//---------------------------------------------------------------------------

	#define RC5_INPORT	PINB
	#define RC5_DDR		DDRB
	#define RC5_PIN		PB0		// hier PORTB0

//---------------------------------------------------------------------------
//  Default Codes die bei allen RC5-Fernbedienungen gleich sein sollten
//
//	Bezeichner			Code	Beschreibung
//---------------------------------------------------------------------------

	#define RC5KEY_0	0		// Taste 0
	#define RC5KEY_1	1		// Taste 1
	#define RC5KEY_2	2		// Taste 2
	#define RC5KEY_3	3		// Taste 3
	#define RC5KEY_4	4		// Taste 4	
	#define RC5KEY_5	5		// Taste 5
	#define RC5KEY_6	6		// Taste 6
	#define RC5KEY_7	7		// Taste 7
	#define RC5KEY_8	8		// Taste 8
	#define RC5KEY_9	9		// Taste 9

	#define RC5KEY_VUP	16		// Taste VOL +
	#define RC5KEY_VDN	17		// Taste VOL -
	
	#define RC5DEV_ID	0		// Device address (Standard TV1)

//---------------------------------------------------------------------------
//	Eigene Fernbedienung fr weitere Codes einbinden
//---------------------------------------------------------------------------

//	#include "rc5_tcm_218681.h"		// TCM 218681 Universal Fernbedienung
//	#include "rc5_vivanco_ur4sl.h"	// Vivanco UR 4 SL Universal Fernbedienung
//	#include "rc5_kdg_universal.h"	// Kabel Deutschland Universal Fernbedienung

//---------------------------------------------------------------------------
//	Sonstige Definitionen
//---------------------------------------------------------------------------

	#define RC5TIME 	1.778e-3	// 1.778msec

	#define PULSE_MIN	(uint8_t)(F_CPU / 512 * RC5TIME * 0.4 + 0.5)
	#define PULSE_1_2	(uint8_t)(F_CPU / 512 * RC5TIME * 0.8 + 0.5)
	#define PULSE_MAX	(uint8_t)(F_CPU / 512 * RC5TIME * 1.2 + 0.5)

	extern uint16_t	rc5_data;
	volatile uint16_t lastRC5data;
	volatile uint8_t rc5_device,rc5_keycode;
	
	uint8_t		rc5_bit;	// bit value
	uint8_t		rc5_time;	// count bit time
	uint16_t	rc5_tmp;	// shift bits in
	uint16_t	rc5_data;	// store result

	void rc5_init(void);

#endif