/**
*	Zuordnungen der von der IR-Fernsteuerung gesendeten RC5-Codes fr
*	
*	TCM 218681 Universal Fernbedienung  (bei Tchibo gekauft 2004/2005)
*
*/

//---------------------------------------------------------------------------
//
//	Hinweise:
//	- * Taste ... kennzeichnet Code der von mehreren Tasten gesendet wird
//	- Zahlen in Klammer hinter Taste geben Device an welches mit dem Code bertragen wird
//	- Code 255 bedeutet da FB keinen Code sendet / Platzhalter
//
//
//	Vordefinierte und getestete FB_Codes:
//	-------------------------------------
//  TV:		097,098,169,200,204
//	DVD:	---
//	VCR:	235,257,286,290,315,317,327
//	CD:		647,(697),(698),732
//	TUNER:	(646),727
//	TAPE:	698,729
//	
//	Nicht empfohlene aber vordefinierte FB_Codes sind in Klammern gesetzt
//
//	Getestete und nicht funktionierende FB_Codes:
// 	---------------------------------------------
//	TV:		000,003,008,017,020,041,043,051,089,091,095,101,111,114,115,117,131,135,136,141
//	DVD:	362,370,375,379,380,385
//	VCR:	242,256,260,262,263,267,270,271,272,273,275,276,282,287,288,293,299
//	LD:		318,319
//	CD:		680,695,706
//
//---------------------------------------------------------------------------

#define	FB_CODE		169		// genutzter Code der Fernbedienung 

//#define FB_CODE	1098	// Codes die mit 0 beginnen ist eine 1 voran zu stellen.

//===========================================================================

#if (FB_CODE == 169)	// bietet die eindeutigste Zuordnung

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 169
//---------------------------------------------------------------------------
#define	RC5KEY_10ER	10	// Taste -/--
#define RC5KEY_EXIT	11	// Taste EXIT
#define	RC5KEY_PWR	12	// Taste PWR
#define	RC5KEY_MUTE	13	// Taste MUTE
#define	RC5KEY_MENU	14	// Taste MENU
#define RC5KEY_OSD	15	// Taste Bildschirm mit + oben rechts

#define RC5KEY_JUP	18	// Joystick Up
#define RC5KEY_JDN	19	// Joystick Down
#define RC5KEY_JR	20	// Joystick Right
#define RC5KEY_JL	21	// Joystick Left

#define RC5KEY_CHUP	32	// Taste CHAN +
#define RC5KEY_CHDN	33	// Taste CHAN -

#define RC5KEY_JBTN	35	// Joystick Button
#define RC5KEY_PAUS	36	// Taste PAUSE

#define RC5KEY_VT2	41	// Taste VT-Bildschirm mit 2 Pfeilen

#define RC5KEY_VT3	46	// * Taste VT-Bildschirm mit 3 untersch. Linien
#define RC5KEY_REC	46	// * Taste REC 

#define RC5KEY_PLAY	50	// Taste PLAY
#define RC5KEY_FF	52	// Taste FF
#define RC5KEY_STOP	54	// Taste STOP
#define RC5KEY_REW	55	// Taste REW
#define RC5KEY_AV	56	// Taste AV

#define RC5KEY_VT1	60	// Taste VT-Bildschirm mit 3 Linien

#define RC5KEY_VT4	63	// Taste VT-Bildschirm leer

#endif

//===========================================================================

#if (FB_CODE == 200)

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 200
//---------------------------------------------------------------------------
#define RC5KEY_AV	10	// Taste AV

#define	RC5KEY_PWR	12	// Taste PWR
#define	RC5KEY_MUTE	13	// * Taste MUTE
#define RC5KEY_JUP	13	// * Joystick Up
#define	RC5KEY_10ER	14	// * Taste -/--
#define	RC5KEY_JDN	14	// * Joystick Down
#define RC5KEY_OSD	15	// Taste Bildschirm mit + oben rechts
#define RC5KEY_JR	16	// * Joystick Right
#define RC5KEY_JL	17	// * Joystick Left
#define	RC5KEY_MENU	18	// * Taste MENU
#define RC5KEY_JBTN	18	// * Joystick Button

#define RC5KEY_CHUP	32	// Taste CHAN +
#define RC5KEY_CHDN	33	// Taste CHAN -
#define RC5KEY_EXIT	34	// Taste EXIT

#define RC5KEY_VT2	41	// Taste VT-Bildschirm mit 2 Pfeilen

#define RC5KEY_REW	43	// Taste REW
#define RC5KEY_STOP	44	// Taste STOP
#define RC5KEY_PLAY	45	// Taste PLAY

#define RC5KEY_FF	46	// * Taste FF
#define RC5KEY_VT3	46	// * Taste VT-Bildschirm mit 3 untersch. Linien
#define RC5KEY_REC	46	// * Taste REC

#define RC5KEY_PAUS	47	// Taste PAUSE

#define RC5KEY_VT1	60	// Taste VT-Bildschirm mit 3 Linien

#define RC5KEY_VT4	63	// Taste VT-Bildschirm leer

#endif

//===========================================================================

#if (FB_CODE == 204)

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 204
//---------------------------------------------------------------------------
#define	RC5KEY_10ER	10	// Taste -/--
#define RC5KEY_JBTN	11	// Joystick Button
#define	RC5KEY_PWR	12	// Taste PWR

#define RC5KEY_REC	14	// * Taste REC
#define RC5KEY_VT3	14	// * Taste VT-Bildschirm mit 3 untersch. Linien
#define RC5KEY_OSD	15	// Taste Bildschirm mit + oben rechts

#define RC5KEY_AV	29	// Taste AV

#define RC5KEY_CHUP	32	// Taste CHAN +
#define RC5KEY_CHDN	33	// Taste CHAN -

#define RC5KEY_PAUS	35	// Taste PAUSE

#define RC5KEY_VT2	41	// Taste VT-Bildschirm mit 2 Pfeilen

#define RC5KEY_REW	43	// Taste REW
#define RC5KEY_STOP	44	// Taste STOP
#define RC5KEY_PLAY	45	// Taste PLAY
#define RC5KEY_FF	46	// Taste FF

#define RC5KEY_EXIT	49	// * Taste EXIT
#define RC5KEY_VT4	49	// * Taste VT-Bildschirm leer

#define RC5KEY_VT1	60	// Taste VT-Bildschirm mit 3 Linien

// Ohne Funktion - rc5_keycode = 0
#define RC5KEY_JL	0	// Joystick Left
#define RC5KEY_JR	0	// Joystick Right
#define RC5KEY_JUP	0	// Joystick Up
#define RC5KEY_JDN	0	// Joystick Down
#define RC5KEY_MUTE	0	// Taste MUTE
#define RC5KEY_MENU	0	// Taste MENU

#endif

//===========================================================================

#if (FB_CODE == 235)

// Standard-Device fr FB_Code 235 ist 5 (VCR1)
// (0) Device ist 0 (TV1)

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 235
//---------------------------------------------------------------------------
#undef	RC5DEV_ID
#define RC5DEV_ID	5	// Device address

#define	RC5KEY_PWR	12	// Taste PWR

#define RC5KEY_VT1	18	// * Taste VT-Bildschirm mit 3 Linien
#define RC5KEY_MENU	18	// * Taste MENU

#define RC5KEY_VT3	23	// * Taste VT-Bildschirm mit 3 untersch. Linien
#define RC5KEY_OSD	23	// * Taste Bildschirm mit + oben rechts
#define RC5KEY_JBTN	23	// * Joystick Button

#define RC5KEY_CHUP	32	// Taste CHAN +
#define RC5KEY_CHDN	33	// Taste CHAN -

#define RC5KEY_PAUS	41	// Taste PAUSE
#define	RC5KEY_10ER	42	// Taste -/--

#define RC5KEY_VT2	49	// * Taste VT-Bildschirm mit 2 Pfeilen
#define RC5KEY_EXIT	49	// * Taste EXIT
#define RC5KEY_VT4	49	// * Taste VT-Bildschirm leer
#define RC5KEY_JL	50	// * Joystick Left
#define RC5KEY_REW	50	// * Taste REW

#define RC5KEY_FF	52	// * Taste FF
#define RC5KEY_JR	52	// * Joystick Right
#define RC5KEY_PLAY	53	// * Taste PLAY
#define RC5KEY_JUP	53	// * Joystick Up
#define RC5KEY_STOP	54	// * Taste STOP
#define RC5KEY_JDN	54	// * Joystick Down
#define RC5KEY_REC	55	// Taste REC

#define RC5KEY_AV	62	// Taste AV

#define RC5KEY_MUTE	255	// Taste MUTE

//	#define RC5KEY_VUP	255		// Taste VOL +
//	#define RC5KEY_VDN	255		// Taste VOL -

#endif

//===========================================================================

#if (FB_CODE == 257)

// Standard-Device fr FB_Code 257 ist 5 (VCR1)
// (0) Device ist 0 (TV1)

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 257
//---------------------------------------------------------------------------
#undef	RC5DEV_ID
#define RC5DEV_ID	5	// Device address

#define	RC5KEY_PWR	12	// Taste PWR
#define	RC5KEY_MUTE	13	// Taste MUTE	(0)

#define RC5KEY_JBTN	23	// * Joystick Button
#define RC5KEY_VT3	23	// * Taste VT-Bildschirm mit 3 untersch. Linien

#define	RC5KEY_MENU	29	// * Taste MENU
#define RC5KEY_VT1	29	// * Taste VT-Bildschirm mit 3 Linien

#define RC5KEY_CHUP	32	// * Taste CHAN +
#define RC5KEY_JUP	32	// * Joystick Up
#define RC5KEY_CHDN	33	// * Taste CHAN -
#define RC5KEY_JDN	33	// * Joystick Down

#define RC5KEY_PAUS	41	// Taste PAUSE

#define RC5KEY_JR	48	// Joystick Right
#define	RC5KEY_10ER	49	// * Taste -/--
#define RC5KEY_EXIT	49	// * Taste EXIT
#define RC5KEY_JL	49	// * Joystick Left
#define RC5KEY_VT2	49	// * Taste VT-Bildschirm mit 2 Pfeilen
#define RC5KEY_VT4	49	// * Taste VT-Bildschirm leer
#define RC5KEY_REW	50	// Taste REW
#define RC5KEY_FF	52	// Taste FF
#define RC5KEY_PLAY	53	// Taste PLAY
#define RC5KEY_STOP	54	// Taste STOP
#define RC5KEY_REC	55	// * Taste REC 

#define RC5KEY_OSD	60	// Taste Bildschirm mit + oben rechts

#define RC5KEY_AV	62	// Taste AV

#endif

//===========================================================================

#if (FB_CODE == 286)

// Standard-Device fr FB_Code 286 ist 5 (VCR1)
// (0) Device ist 0 (TV1)

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 257
//---------------------------------------------------------------------------
#undef	RC5DEV_ID
#define RC5DEV_ID	5	// Device address

#define	RC5KEY_MENU	10	// * Taste MENU
#define RC5KEY_VT1	10	// * Taste VT-Bildschirm mit 3 Linien
#define	RC5KEY_10ER	11	// Taste -/--
#define	RC5KEY_PWR	12	// Taste PWR

#define RC5KEY_JBTN	23	// * Joystick Button
#define RC5KEY_VT3	23	// * Taste VT-Bildschirm mit 3 untersch. Linien

#define RC5KEY_CHUP	32	// Taste CHAN +
#define RC5KEY_CHDN	33	// Taste CHAN -

#define RC5KEY_JL	37	// * Joystick Left
#define RC5KEY_REW	37	// * Taste REW
#define RC5KEY_FF	38	// * Taste FF
#define RC5KEY_JR	38	// * Joystick Right

#define RC5KEY_JUP	41	// * Joystick Up
#define RC5KEY_PAUS	41	// * Taste PAUSE

#define RC5KEY_EXIT	49	// * Taste EXIT
#define RC5KEY_VT2	49	// * Taste VT-Bildschirm mit 2 Pfeilen
#define RC5KEY_VT4	49	// * Taste VT-Bildschirm leer

#define RC5KEY_PLAY	53	// Taste PLAY
#define RC5KEY_STOP	54	// * Taste STOP
#define RC5KEY_JDN	54	// * Joystick Down
#define RC5KEY_REC	55	// * Taste REC 

#define RC5KEY_AV	58	// Taste AV

#define RC5KEY_OSD	60	// Taste Bildschirm mit + oben rechts

#define	RC5KEY_MUTE	255	// Taste MUTE
//	#define RC5KEY_VUP	255		// Taste VOL +
//	#define RC5KEY_VDN	255		// Taste VOL -

#endif

//===========================================================================

#if (FB_CODE == 290)

// Standard-Device fr FB_Code 290 ist 5 (VCR1)
// (0) Device ist 0 (TV1)

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 290
//---------------------------------------------------------------------------
#undef	RC5DEV_ID
#define RC5DEV_ID	5	// Device address

#define RC5KEY_OSD	10	// Taste Bildschirm mit + oben rechts
#define	RC5KEY_10ER	11	// Taste -/--
#define	RC5KEY_PWR	12	// Taste PWR
#define	RC5KEY_MUTE	13	// Taste MUTE	(0)

#define RC5KEY_JUP	16	// Joystick Up
#define RC5KEY_JDN	17	// Joystick Down
#define	RC5KEY_MENU	18	// * Taste MENU
#define RC5KEY_VT1	18	// * Taste VT-Bildschirm mit 3 Linien

#define RC5KEY_JL	21	// Joystick Left
#define RC5KEY_JR	22	// Joystick Right
#define RC5KEY_VT3	23	// * Taste VT-Bildschirm mit 3 untersch. Linien
#define RC5KEY_JBTN	23	// * Joystick Button

#define RC5KEY_CHUP	32	// Taste CHAN +
#define RC5KEY_CHDN	33	// Taste CHAN -

#define RC5KEY_REW	37	// Taste REW
#define RC5KEY_FF	38	// Taste FF

#define RC5KEY_PAUS	41	// Taste PAUSE

#define RC5KEY_EXIT	49	// * Taste EXIT
#define RC5KEY_VT2	49	// * Taste VT-Bildschirm mit 2 Pfeilen
#define RC5KEY_VT4	49	// * Taste VT-Bildschirm leer

#define RC5KEY_PLAY	53	// Taste PLAY
#define RC5KEY_STOP	54	// Taste STOP
#define RC5KEY_REC	55	// Taste REC 

#define RC5KEY_AV	58	// Taste AV

#endif

//===========================================================================

#if (FB_CODE == 315)

// Standard-Device fr FB_Code 315 ist 6 (VCR2)

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 315
//---------------------------------------------------------------------------
#undef	RC5DEV_ID
#define RC5DEV_ID	6	// Device address

#define	RC5KEY_10er	10	// Taste -/--

#define	RC5KEY_PWR	12	// Taste PWR

#define RC5KEY_CHUP	32	// Taste CHAN +
#define RC5KEY_CHDN	33	// Taste CHAN -

#define RC5KEY_PAUS	48	// Taste PAUSE

#define RC5KEY_REW	50	// Taste REW
#define RC5KEY_FF	52	// Taste FF
#define RC5KEY_PLAY	53	// Taste PLAY
#define RC5KEY_STOP	54	// Taste STOP
#define RC5KEY_REC	55	// Taste REC
#define RC5KEY_AV	56	// Taste AV

#define RC5KEY_OSD	63	// Taste Bildschirm mit + oben rechts

#define RC5KEY_MENU	255	// Taste MENU
#define RC5KEY_EXIT	255	// Taste EXIT
#define RC5KEY_MUTE 255	// Taste MUTE	(0)
#define RC5KEY_VT1	255	// Taste VT-Bildschirm mit 3 Linien
#define RC5KEY_VT2	255	// Taste VT-Bildschirm mit 2 Pfeilen
#define RC5KEY_VT3	255	// Taste VT-Bildschirm mit 3 untersch. Linien
#define RC5KEY_VT4	255	// Taste VT-Bildschirm leer
#define	RC5KEY_JBTN	255	// Joystick Button
#define RC5KEY_JUP	255	// Joystick Up
#define RC5KEY_JDN	255	// Joystick Down
#define RC5KEY_JL	255	// Joystick Left
#define RC5KEY_JR	255	// Joystick Right

#endif

//===========================================================================

#if (FB_CODE == 317)

// Standard-Device fr FB_Code 317 ist 5 (VCR1)
// (0) Device ist 0 (TV1)

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 317
//---------------------------------------------------------------------------
#undef	RC5DEV_ID
#define RC5DEV_ID	5	// Device address

#define	RC5KEY_PWR	12	// Taste PWR
#define RC5KEY_MUTE	13	// Taste MUTE	(0)

#define RC5KEY_OSD	15	// Taste Bildschirm mit + oben rechts
#define RC5KEY_MENU	18	// Taste MENU

#define RC5KEY_VT1	23	// * Taste VT-Bildschirm mit 3 Linien
#define RC5KEY_VT3	23	// * Taste VT-Bildschirm mit 3 untersch. Linien
#define	RC5KEY_JBTN	23	// * Joystick Button

#define RC5KEY_CHUP	32	// Taste CHAN +
#define RC5KEY_CHDN	33	// Taste CHAN -

#define RC5KEY_REW	37	// * Taste REW
#define RC5KEY_JL	37	// * Joystick Left
#define RC5KEY_FF	38	// * Taste FF
#define RC5KEY_JR	38	// * Joystick Right

#define RC5KEY_PAUS	41	// * Taste PAUSE

#define	RC5KEY_10er	48	// Taste -/--
#define RC5KEY_EXIT	49	// * Taste EXIT
#define RC5KEY_VT2	49	// * Taste VT-Bildschirm mit 2 Pfeilen
#define RC5KEY_VT4	49	// * Taste VT-Bildschirm leer

#define RC5KEY_JUP	53	// * Joystick Up
#define RC5KEY_PLAY	53	// * Taste PLAY
#define RC5KEY_STOP	54	// * Taste STOP
#define RC5KEY_JDN	54	// * Joystick Down
#define RC5KEY_REC	55	// Taste REC

#define RC5KEY_AV	58	// Taste AV

#endif

//===========================================================================

#if (FB_CODE == 327)

// Standard-Device fr FB_Code 327 ist 5 (VCR1)
// (0) Device ist 0 (TV1)

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 327
//---------------------------------------------------------------------------
#undef	RC5DEV_ID
#define RC5DEV_ID	5	// Device address

#define	RC5KEY_10er	10	// Taste -/--
#define	RC5KEY_JBTN	11	// * Joystick Button
#define RC5KEY_VT3	11	// * Taste VT-Bildschirm mit 3 untersch. Linien
#define	RC5KEY_PWR	12	// Taste PWR
#define RC5KEY_MUTE	13	// Taste MUTE	(0)

#define RC5KEY_OSD	15	// Taste Bildschirm mit + oben rechts

#define RC5KEY_CHUP	32	// Taste CHAN +
#define RC5KEY_CHDN	33	// Taste CHAN -

#define RC5KEY_JR	41	// Joystick Right

#define RC5KEY_REW	44	// Taste REW

#define RC5KEY_FF	46	// Taste FF
#define RC5KEY_JL	47	// Joystick Left
#define RC5KEY_JUP	48	// Joystick Up
#define RC5KEY_JDN	49	// * Joystick Down
#define RC5KEY_EXIT	49	// * Taste EXIT
#define RC5KEY_VT2	49	// * Taste VT-Bildschirm mit 2 Pfeilen
#define RC5KEY_VT4	49	// * Taste VT-Bildschirm leer

#define RC5KEY_PLAY	53	// Taste PLAY
#define RC5KEY_PAUS	54	// * Taste PAUSE
#define RC5KEY_STOP	54	// * Taste STOP
#define RC5KEY_REC	55	// Taste REC

#define RC5KEY_MENU	60	// * Taste MENU
#define RC5KEY_VT1	60	// * Taste VT-Bildschirm mit 3 Linien
#define RC5KEY_AV	61	// Taste AV

#endif

//===========================================================================

/*
#if (FB_CODE == 646)	// nicht empfohlen da mehr als 2 Devices

// Standard-Device fr FB_Code 646 ist 16 (Audio-Vorverstrker1)

// Achtung: Bei Benutzung Default-Belegung in rc5.h auskommentieren

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 646
//---------------------------------------------------------------------------
#undef	RC5DEV_ID
#define RC5DEV_ID	16	// Device address

#define RC5KEY_0	255	// Taste 0
#define RC5KEY_1	63	// Taste 1 (0)
#define RC5KEY_2	255	// Taste 2 (5)
#define RC5KEY_3	63	// Taste 3
#define RC5KEY_4	63	// Taste 4 (12)
#define RC5KEY_5	255	// Taste 5
#define RC5KEY_6	63	// Taste 6 (17)
#define RC5KEY_7	63	// Taste 7 (20)
#define RC5KEY_8	63	// Taste 8 (18)
#define RC5KEY_9	255	// Taste 9

#define RC5KEY_MUTE 13	// Taste MUTE	(0)

#define RC5KEY_MENU	15	// Taste MENU
#define RC5KEY_VT3	15	// Taste VT-Bildschirm mit 3 untersch. Linien
#define RC5KEY_VUP	16	// * Taste VOL +
#define RC5KEY_PLAY	16	// * Taste PLAY
#define RC5KEY_VDN	17	// * Taste VOL -
#define RC5KEY_STOP	17	// * Taste STOP
#define RC5KEY_PAUS	18	// Taste PAUSE

#define RC5KEY_REW	21	// Taste REW
#define RC5KEY_FF	22	// Taste FF

#define	RC5KEY_JBTN	38	// Joystick Button

#define RC5KEY_REC	55	// Taste REC

#define	RC5KEY_10er	255	// Taste -/--
#define	RC5KEY_PWR	255	// Taste PWR
#define RC5KEY_CHUP	255	// Taste CHAN +
#define RC5KEY_CHDN	255	// Taste CHAN -
#define RC5KEY_AV	255	// Taste AV
#define RC5KEY_OSD	255	// Taste Bildschirm mit + oben rechts
#define RC5KEY_EXIT	255	// Taste EXIT
#define RC5KEY_VT1	255	// Taste VT-Bildschirm mit 3 Linien
#define RC5KEY_VT2	255	// Taste VT-Bildschirm mit 2 Pfeilen
#define RC5KEY_VT4	255	// Taste VT-Bildschirm leer
#define RC5KEY_JUP	255	// Joystick Up
#define RC5KEY_JDN	255	// Joystick Down
#define RC5KEY_JL	255	// Joystick Left
#define RC5KEY_JR	255	// Joystick Right

#endif
*/

//===========================================================================

#if (FB_CODE == 647)

// Standard-Device fr FB_Code 647 ist 26 (CD-Recorder)
// (16) Device ist 16 (Audio-Vorverstrker1)

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 647
//---------------------------------------------------------------------------
#undef	RC5DEV_ID
#define RC5DEV_ID	26	// Device address

// Tasten 0-9 nutzen Device 26
// RC5KEY_VUP und RC5KEY_VDN nutzen Device 16

#define	RC5KEY_10er	0	// Taste -/-- (16)
#define RC5KEY_AV	0	// Taste AV (16)

#define	RC5KEY_PWR	12	// Taste PWR
#define RC5KEY_MUTE	13	// Taste MUTE (16)

#define RC5KEY_OSD	15	// Taste Bildschirm mit + oben rechts

#define RC5KEY_CHUP	32	// Taste CHAN +
#define RC5KEY_CHDN	33	// Taste CHAN -

#define RC5KEY_PAUS	48	// Taste PAUSE

#define RC5KEY_REW	50	// Taste REW

#define RC5KEY_FF	52	// Taste FF
#define RC5KEY_PLAY	53	// Taste PLAY
#define RC5KEY_STOP	54	// Taste STOP
#define RC5KEY_REC	55	// Taste REC

#define RC5KEY_MENU	255	// Taste MENU
#define RC5KEY_EXIT	255	// Taste EXIT
#define RC5KEY_VT1	255	// Taste VT-Bildschirm mit 3 Linien
#define RC5KEY_VT2	255	// Taste VT-Bildschirm mit 2 Pfeilen
#define RC5KEY_VT3	255	// Taste VT-Bildschirm mit 3 untersch. Linien
#define RC5KEY_VT4	255	// Taste VT-Bildschirm leer
#define	RC5KEY_JBTN	255	// Joystick Button
#define RC5KEY_JUP	255	// Joystick Up
#define RC5KEY_JDN	255	// Joystick Down
#define RC5KEY_JL	255	// Joystick Left
#define RC5KEY_JR	255	// Joystick Right

#endif

//===========================================================================

/*
#if (FB_CODE == 697)	// nicht empfohlen da mehr als 2 Devices

// Standard-Device fr FB_Code 697 ist 16 (Audio-Vorverstrker1)

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 697
//---------------------------------------------------------------------------
#undef	RC5DEV_ID
#define RC5DEV_ID	16	// Device address

#define	RC5KEY_10er	63	// Taste -/-- (20)
#define RC5KEY_AV	63	// Taste AV (17)

#define	RC5KEY_PWR	61	// Taste PWR
#define RC5KEY_MUTE	13	// Taste MUTE

#define RC5KEY_OSD	15	// Taste Bildschirm mit + oben rechts
//	#define RC5KEY_VUP	16		// Taste VOL + (16)
//	#define RC5KEY_VDN	17		// Taste VOL - (16)

#define RC5KEY_CHUP	32	// Taste CHAN + (17)
#define RC5KEY_CHDN	33	// Taste CHAN - (17)

#define RC5KEY_FF	32	// Taste FF (20)
#define RC5KEY_REW	33	// Taste REW (20)

#define RC5KEY_PAUS	48	// Taste PAUSE (20)

#define RC5KEY_PLAY	53	// Taste PLAY (20)
#define RC5KEY_STOP	54	// Taste STOP (20)
#define RC5KEY_REC	63	// Taste REC (20)

#define RC5KEY_MENU	255	// Taste MENU
#define RC5KEY_EXIT	255	// Taste EXIT
#define RC5KEY_VT1	255	// Taste VT-Bildschirm mit 3 Linien
#define RC5KEY_VT2	255	// Taste VT-Bildschirm mit 2 Pfeilen
#define RC5KEY_VT3	255	// Taste VT-Bildschirm mit 3 untersch. Linien
#define RC5KEY_VT4	255	// Taste VT-Bildschirm leer
#define	RC5KEY_JBTN	255	// Joystick Button
#define RC5KEY_JUP	255	// Joystick Up
#define RC5KEY_JDN	255	// Joystick Down
#define RC5KEY_JL	255	// Joystick Left
#define RC5KEY_JR	255	// Joystick Right

#endif
*/

//===========================================================================

/*
#if (FB_CODE == 698)	// nicht empfohlen da mehr als 2 Devices

// Standard-Device fr FB_Code 698 ist 16 (Audio-Vorverstrker1)
// (0/16) Device ist 0/16 (TV1/Audio-Vorverstrker1)

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 698
//---------------------------------------------------------------------------
#undef	RC5DEV_ID
#define RC5DEV_ID	16	// Device address

#define RC5KEY_MUTE	13	// Taste MUTE

#define RC5KEY_OSD	15	// Taste Bildschirm mit + oben rechts
//	#define RC5KEY_VUP	16		// Taste VOL + (16)
//	#define RC5KEY_VDN	17		// Taste VOL - (16)

#define RC5KEY_CHUP	32	// Taste CHAN + (22)
#define RC5KEY_CHDN	33	// Taste CHAN - (22)

#define RC5KEY_PAUS	48	// * Taste PAUSE (18)

#define RC5KEY_REW	50	// Taste REW (18)

#define RC5KEY_FF	52	// Taste FF (18)
#define RC5KEY_PLAY	53	// Taste PLAY (18)
#define RC5KEY_STOP	54	// Taste STOP (18)
#define RC5KEY_REC	55	// Taste REC (18)

#define	RC5KEY_PWR	61	// Taste PWR

#define	RC5KEY_10er	63	// * Taste -/-- (18)
#define RC5KEY_VT1	63	// * Taste VT-Bildschirm mit 3 Linien (18)
#define RC5KEY_VT4	63	// Taste VT-Bildschirm leer (21)
#define RC5KEY_AV	63	// Taste AV (22)
#define RC5KEY_VT3	63	// Taste VT-Bildschirm mit 3 untersch. Linien (23)

#define RC5KEY_MENU	255	// Taste MENU
#define RC5KEY_EXIT	255	// Taste EXIT
#define RC5KEY_VT2	255	// Taste VT-Bildschirm mit 2 Pfeilen
#define RC5KEY_JUP	255	// Joystick Up
#define RC5KEY_JDN	255	// Joystick Down
#define RC5KEY_JL	255	// Joystick Left
#define RC5KEY_JR	255	// Joystick Right
#define	RC5KEY_JBTN	255	// Joystick Button

#endif
*/

//===========================================================================

#if (FB_CODE == 727)

// Standard-Device fr FB_Code 727 ist 17 (Tuner)
// (16) Device ist 16 (Audio-Vorverstrker1)

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 727
//---------------------------------------------------------------------------
#undef	RC5DEV_ID
#define RC5DEV_ID	17	// Device address

// Tasten 0-9 nutzen Device 17
// RC5KEY_VUP und RC5KEY_VDN nutzen Device 16

#define RC5KEY_VT2	0	// * Taste VT-Bildschirm mit 2 Pfeilen

#define	RC5KEY_PWR	12	// Taste PWR
#define RC5KEY_MUTE	13	// Taste MUTE	(16)

#define RC5KEY_VT4	15	// Taste VT-Bildschirm leer (16)

#define RC5KEY_FF	30	// Taste FF
#define RC5KEY_REW	31	// Taste REW
#define RC5KEY_CHUP	32	// Taste CHAN +
#define RC5KEY_CHDN	33	// Taste CHAN -

#define RC5KEY_VT3	37	// * Taste VT-Bildschirm mit 3 untersch. Linien
#define RC5KEY_PAUS	37	// * Taste PAUSE
#define	RC5KEY_JBTN	38	// * Joystick Button (16)
#define RC5KEY_STOP	38	// * Taste STOP (16)

#define RC5KEY_OSD	41	// Taste Bildschirm mit + oben rechts

#define RC5KEY_PLAY	43	// * Taste PLAY
#define	RC5KEY_10er	43	// * Taste -/--

#define RC5KEY_REC	55	// Taste REC
#define RC5KEY_VT1	56	// Taste VT-Bildschirm mit 3 Linien (16)

#define RC5KEY_AV	63	// Taste AV

#define RC5KEY_MENU	255	// * Taste MENU
#define RC5KEY_JL	255	// Joystick Left
#define RC5KEY_JR	255	// Joystick Right
#define RC5KEY_JUP	255	// Joystick Up
#define RC5KEY_JDN	255	// Joystick Down
#define RC5KEY_EXIT	255	// * Taste EXIT

#endif

//===========================================================================

#if (FB_CODE == 729)

// Standard-Device fr FB_Code 729 ist 18 (Tapedeck)
// (16) Device ist 16 (Audio-Vorverstrker1)

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 729
//---------------------------------------------------------------------------
#undef	RC5DEV_ID
#define RC5DEV_ID	18	// Device address

// Tasten 0-9 nutzen Device 18
// RC5KEY_VUP und RC5KEY_VDN nutzen Device 16

#define	RC5KEY_10er	0	// Taste -/-- (16)
#define RC5KEY_VT1	0	// * Taste VT-Bildschirm mit 3 Linien (16)

#define	RC5KEY_PWR	12	// Taste PWR
#define RC5KEY_MUTE	13	// Taste MUTE	(16)

#define RC5KEY_VT4	15	// Taste VT-Bildschirm leer

#define RC5KEY_CHUP	32	// Taste CHAN +
#define RC5KEY_CHDN	33	// Taste CHAN -

#define	RC5KEY_JBTN	38	// Joystick Button (16)

#define RC5KEY_OSD	41	// Taste Bildschirm mit + oben rechts

#define RC5KEY_VT3	47	// Taste VT-Bildschirm mit 3 untersch. Linien
#define RC5KEY_PAUS	48	// Taste PAUSE

#define RC5KEY_REW	50	// Taste REW

#define RC5KEY_FF	52	// Taste FF
#define RC5KEY_VT2	53	// * Taste VT-Bildschirm mit 2 Pfeilen
#define RC5KEY_PLAY	53	// * Taste PLAY
#define RC5KEY_STOP	54	// Taste STOP
#define RC5KEY_REC	55	// Taste REC

#define RC5KEY_AV	63	// Taste AV

#define RC5KEY_MENU	255	// * Taste MENU
#define RC5KEY_JL	255	// Joystick Left
#define RC5KEY_JR	255	// Joystick Right
#define RC5KEY_JUP	255	// Joystick Up
#define RC5KEY_JDN	255	// Joystick Down
#define RC5KEY_EXIT	255	// * Taste EXIT

#endif

//===========================================================================

#if (FB_CODE == 732)

// Standard-Device fr FB_Code 732 ist 20 (CD-Player)
// (0/16) Device ist 0/16 (TV1/Audio-Vorverstrker1)

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 732
//---------------------------------------------------------------------------
#undef	RC5DEV_ID
#define RC5DEV_ID	20	// Device address

// Tasten 0-9 nutzen Device 20
// RC5KEY_VUP und RC5KEY_VDN nutzen Device 16

#define	RC5KEY_10er	0	// * Taste -/-- (0)
#define RC5KEY_MENU	0	// * Taste MENU (0)
#define RC5KEY_EXIT	0	// * Taste EXIT (0)
#define RC5KEY_VT2	0	// * Taste VT-Bildschirm mit 2 Pfeilen (0)

#define RC5KEY_VT1	11	// Taste VT-Bildschirm mit 3 Linien (16)
#define	RC5KEY_PWR	12	// Taste PWR
#define RC5KEY_MUTE	13	// Taste MUTE	(16)

#define RC5KEY_VT4	15	// * Taste VT-Bildschirm leer
#define RC5KEY_JUP	16	// * Joystick Up (16)
#define RC5KEY_JDN	17	// * Joystick Down (16)

#define RC5KEY_JL	21	// Joystick Left (16)
#define RC5KEY_JR	22	// Joystick Right (16)

#define RC5KEY_CHUP	32	// Taste CHAN +
#define RC5KEY_CHDN	33	// Taste CHAN -

#define	RC5KEY_JBTN	38	// * Joystick Button (16)
#define RC5KEY_VT3	38	// * Taste VT-Bildschirm mit 3 untersch. Linien

#define RC5KEY_OSD	41	// Taste Bildschirm mit + oben rechts

#define RC5KEY_PAUS	48	// Taste PAUSE

#define RC5KEY_REW	50	// Taste REW

#define RC5KEY_FF	52	// Taste FF
#define RC5KEY_PLAY	53	// Taste PLAY
#define RC5KEY_STOP	54	// Taste STOP
#define RC5KEY_REC	55	// Taste REC

#define RC5KEY_AV	63	// Taste AV

#endif

//===========================================================================

#if (FB_CODE == 1097)

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 097
//---------------------------------------------------------------------------

#define RC5KEY_AV	10	// Taste AV
#define	RC5KEY_MENU	11	// Taste MENU
#define	RC5KEY_PWR	12	// Taste PWR
#define	RC5KEY_MUTE	13	// Taste MUTE

#define RC5KEY_PAUS	15	// Taste PAUSE
#define RC5KEY_JR	16	// * Joystick Right
#define RC5KEY_JL	17	// * Joystick Left

#define RC5KEY_STOP	26	// Taste STOP
#define RC5KEY_REW	27	// Taste REW

#define RC5KEY_JUP	32	// * Joystick Up
#define RC5KEY_CHUP	32	// * Taste CHAN +
#define RC5KEY_JDN	33	// * Joystick Down
#define RC5KEY_CHDN	33	// * Taste CHAN -

#define RC5KEY_VT2	35	// Taste VT-Bildschirm mit 2 Pfeilen

#define RC5KEY_JBTN	38	// Joystick Button
#define RC5KEY_OSD	39	// Taste Bildschirm mit + oben rechts
#define RC5KEY_FF	40	// Taste FF

#define RC5KEY_PLAY	43	// Taste PLAY

#define	RC5KEY_10ER	49	// Taste -/--

#define RC5KEY_VT3	53	// * Taste VT-Bildschirm mit 3 untersch. Linien
#define RC5KEY_REC	53	// * Taste REC 

#define RC5KEY_VT1	60	// Taste VT-Bildschirm mit 3 Linien

#define RC5KEY_EXIT	63	// * Taste EXIT
#define RC5KEY_VT4	63	// * Taste VT-Bildschirm leer

#endif

//===========================================================================

#if (FB_CODE == 1098)

//---------------------------------------------------------------------------
//	Bezeichner  	Code	Beschreibung	FB_Code 097
//---------------------------------------------------------------------------

#define	RC5KEY_MENU	11	// Taste MENU
#define	RC5KEY_PWR	12	// Taste PWR
#define	RC5KEY_MUTE	13	// Taste MUTE

#define RC5KEY_JUP	18	// Joystick Up
#define RC5KEY_JDN	19	// Joystick Down
#define RC5KEY_JR	20	// Joystick Right
#define RC5KEY_JL	21	// Joystick Left

#define RC5KEY_STOP	26	// Taste STOP
#define RC5KEY_REW	27	// Taste REW

#define RC5KEY_CHUP	32	// Taste CHAN +
#define RC5KEY_CHDN	33	// Taste CHAN -

#define RC5KEY_EXIT	38	// Taste EXIT
#define RC5KEY_OSD	39	// Taste Bildschirm mit + oben rechts
#define RC5KEY_FF	40	// Taste FF

#define RC5KEY_PLAY	43	// Taste PLAY

#define RC5KEY_REC	47	// * Taste REC 
#define RC5KEY_VT3	47	// * Taste VT-Bildschirm mit 3 untersch. Linien
#define RC5KEY_VT2	48	// Taste VT-Bildschirm mit 2 Pfeilen

#define	RC5KEY_10ER	53	// Taste -/--
#define RC5KEY_PAUS	54	// Taste PAUSE
#define RC5KEY_AV	55	// Taste AV

#define RC5KEY_VT1	60	// Taste VT-Bildschirm mit 3 Linien

#define RC5KEY_JBTN	63	// * Joystick Button
#define RC5KEY_VT4	63	// * Taste VT-Bildschirm leer

#endif

//===========================================================================