/*----------------------------------------------------------------------------
 Copyright:      Christoph Mai
 Author:         Christoph Mai
 Remarks:		 
 known Problems:
 Version:        05.10.2010
 Description:    

 This module interprets a stream of intel hex information and flashes it
 to the programm store.

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der
 GNU General Public License, wie von der Free Software Foundation verffentlicht,
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder
 (nach Ihrer Option) jeder spteren Version.

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung,
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE,
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 Programm erhalten haben.
 Falls nicht, schreiben Sie an die Free Software Foundation,
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------------*/

#include "config.h"

#if ADDON_LEDS

#include <avr/io.h>
#include "led.h"

void LED_on ( unsigned char LED_index )
{
	if(LED_index == 1)	LED_PORT |= (1<<LED_1);
	if(LED_index == 2)	LED_PORT |= (1<<LED_2);
	#if !LED3_PWM
	if(LED_index == 3)	LED_PORT |= (1<<LED_3);
	#endif
	return;
}

void LED_off ( unsigned char LED_index )
{
	if(LED_index == 1)	LED_PORT &= ~(1<<LED_1);
	if(LED_index == 2)	LED_PORT &= ~(1<<LED_2);
	#if !LED3_PWM
	if(LED_index == 3)	LED_PORT &= ~(1<<LED_3);
	#endif
	return;
}

void LED_toggle ( unsigned char LED_index )
{
	if(LED_index == 1)	LED_PORT ^= (1<<LED_1);
	if(LED_index == 2)	LED_PORT ^= (1<<LED_2);
	#if !LED3_PWM
	if(LED_index == 3)	LED_PORT ^= (1<<LED_3);	
	#endif
	return;
}


#if LED3_PWM
void InitPWM_LED3(void)	// Hardware-PWM von Timer2B
{
	TCCR2A |= (1<<WGM21) | (1<<WGM20) | (1<<COM2B1);
	TCCR2B |= (1<<CS20);
}

void SetPWMOutput(uint8_t pwrwert)
{
	OCR2B=pwrwert;		// Ausgabe an Pin PD6 (OC2B)
}
#endif
#endif