/*----------------------------------------------------------------------------
 Copyright:      Christoph Mai
 Author:         Christoph Mai
 Remarks:		 
 known Problems: none
 Version:        06.10.2010
 Description:    SD-cartd logging

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
------------------------------------------------------------------------------*/

#ifndef _SD_LOGGING_H_
	#define _SD_LOGGING_H_

	#if SDCARD_LOGFILE
		
	void log_init(void);
	void log_status(void);

	volatile uint8_t TM_hh;         // Uhrzeit
	volatile uint8_t TM_mm;
	volatile uint8_t TM_ss;
	volatile uint8_t TM_DD;         // Datum
	volatile uint8_t TM_MM;
	volatile uint16_t TM_YY;
	
	volatile uint16_t sdcard_log_timer;
	
	typedef struct
	{
		volatile bool	LogEnabled;		// Logging auf SD-Karte einschalten
		volatile bool	LogInit;		// SD-Karte mit Logdatei neu initialisieren
		volatile bool	LogSchreiben;	// Werte mssen geloggt werden
	} PROZESS_STATUS;

	typedef struct
	{
		const char			log_datei[13];	// aktueller Dateiname der Logdatei
		File				*logfile;		// Zeiger auf FILE-Struktur der offenen Logdatei
		volatile uint8_t	logTag;			// Tag der Logdatei
		volatile uint8_t	logMonat;		// Monat der Logdatei
		volatile uint16_t	logJahr;		// Jahr der Logdatei
	} LOG_STATUS;
	
	volatile PROZESS_STATUS	machineStatus;
	volatile LOG_STATUS		logStatus;

	#endif	// SDCARD_LOGFILE

#endif