
/*
 * Copyright (c) 2006-2008 by Roland Riegel <feedback@roland-riegel.de>
 *
 * This file is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef SPI_H
#define SPI_H

/**
 * \addtogroup arch
 *
 * @{
 */
/**
 * \addtogroup arch_spi
 *
 * @{
 */
/**
 * \file
 * SPI header (license: GPLv2)
 *
 * \author Roland Riegel
 */

// SPI support configuration (license: GPLv2 or LGPLv2.1)

#define spi_config_pin_mosi() DDRB |=  (1 << DDB5)
#define spi_config_pin_sck()  DDRB |=  (1 << DDB7)
#define spi_config_pin_miso() DDRB &= ~(1 << DDB6)

// void spi_init(void);		// wird in enc28j60.c gemacht

void spi_send_byte(uint8_t b);
uint8_t spi_rec_byte(void);

void spi_send_data(const uint8_t* data, uint16_t data_len);
void spi_rec_data(uint8_t* buffer, uint16_t buffer_len);

void spi_low_frequency(void);
void spi_high_frequency(void);

/**
 * @}
 * @}
 */

#endif

