/*----------------------------------------------------------------------------
 Copyright:      Dietmar Misch
 Author:         Dietmar Misch
 Remarks:
 known Problems: none
 Version:        13.08.2008
 Description:    UDP Senden/Empfang

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der
 GNU General Public License, wie von der Free Software Foundation verffentlicht,
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder
 (nach Ihrer Option) jeder spteren Version.

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung,
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE,
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 Programm erhalten haben.
 Falls nicht, schreiben Sie an die Free Software Foundation,
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
----------------------------------------------------------------------------*/

#include "config.h"

#if USE_UDPSEND

#include <avr/io.h>
#include <avr/pgmspace.h>
#include "stack.h"
#include "usart.h"
#include "udp_send.h"

//----------------------------------------------------------------------------
//Initialisierung des UDP Ports (fr Daten empfang)
void udp_send_init (void)
{
	//Port in Anwendungstabelle eintragen fr eingehende NTP Daten!
	add_udp_app (UDPSEND_RPORT, (void(*)(unsigned char))udp_empfang);
	#if (UDPSEND_SPORT!=0)
	udp_send_timer = UDPSEND_REFRESH;
	#endif
}

//----------------------------------------------------------------------------
//Senden der aktuellen Daten zu einen UDP Server
void udp_send (unsigned long UDP_IP_SEND)
{
#if (UDPSEND_SPORT!=0)
	//oeffnet eine Verbindung zu einem UDP Server
	unsigned int byte_count,var=0;

	//ARP Request senden
	if (arp_request(UDP_IP_SEND) == 1)
	{
		for (byte_count = 0;byte_count<(MAX_VAR_ARRAY*2);byte_count=byte_count+2)
		{
			eth_buffer[UDP_DATA_START + byte_count]   = (unsigned char)var_array[var];
			eth_buffer[UDP_DATA_START + byte_count+1] = (unsigned char)((var_array[var]) >> 8);
			var++;
		}
		create_new_udp_packet(byte_count,UDPSEND_RPORT,UDPSEND_SPORT,UDP_IP_SEND);
		UDP_DEBUG("** UDP Daten gesendet! **\r\n");
		return;
	}
	UDP_DEBUG("Kein UDP Server gefunden!!\r\n");
#endif
	return;
}

//----------------------------------------------------------------------------
//Empfang der Daten von einem UDP Server
void udp_empfang (unsigned char index)
{
	unsigned int ende,var  = 0;

	UDP_DEBUG("** UDP Daten empfang Bytes: %i %i %i **\r\n",((UDP_DATA_END_VAR)-(UDP_DATA_START)),UDP_DATA_START,UDP_DATA_END_VAR);

	if (((UDP_DATA_END_VAR)-(UDP_DATA_START)) > (MAX_VAR_ARRAY *2))
	{
		ende = ((MAX_VAR_ARRAY *2) + UDP_DATA_START);
	}
	else
	{
		ende = UDP_DATA_END_VAR;
	}

	// for (int a = UDP_DATA_START;a < UDP_DATA_END_VAR;a=a+2)
	for (int a = UDP_DATA_START;a < ende;a=a+2)
	{
		va2_array[var] = eth_buffer[a] + ((eth_buffer[a+1]) << 8);
		UDP_DEBUG("%i,",(eth_buffer[a] + ((eth_buffer[a+1]) << 8)));
		var++;
		// PORTC = va2_array[8];	// Beispiel um PORTC mit den Werten des Master-Boards zu setzen
		// kann auch in main.c oder anderer Stelle erfolgen
	}
	UDP_DEBUG("\r\n");
}

#endif //USE_UDPSEND
