<?php
/*
#######################################
Datenauswertung fr den HTTP_CLIENT fr AVR NET IO mit RoBue1.5
#######################################

Copyright (C) 2010 Chris Fiege    < Chris.Fiege@web.de >

This program is free software; you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by the Free Software 
Foundation; either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this 
program; if not, see <http://www.gnu.org/licenses/>.

*/

/*
#######################################
Datenauswertung fr den HTTP_CLIENT fr AVR NET IO mit RoBue1.5
#######################################


Abhngigkeiten:
-> Eine kompatible Datenbank (siehe beiliegende sql_struct.sql)
-> config.inc.php mit korrekter Konfiguration

Was es dann tut:
Das Script schreibe alle vom AVR-NET IO http_client bertragnen Messwerte in die Datenbank.
Dabei wird geprft:
- Ob die angegebene Messstelle vorhanden ist.
- Ob der neue Messwert mindestens Epsilon vom letzten abweicht.
- Ob ein Timeout eventuell einen neuen Messwert erzwingt.
Zustzlich fhrt das Script vor der Verarbeitung eine Umrechung des bertragenen Wertes anhand von Multiplikator und offset
durch.

*/


/*
Versionshistorie:
#################

2010-04-18:
V1
Chris Fiege
-> Erster Lauffhiger Entwurf
-> Daten werden anhand von Epsilon, Timeout, Multiplikator und Offset in die Datenbank geschrieben (wenn ntig)

*/




//Sensoren-Auswertung
//
//Speicher eingehende Messwerte in der Datenabnk

require_once("config.inc.php");

//Bevor wir die eingehenden Daten in die Datenbank schreiben wollen
//wir sie mal auf Plausibilitt prfen!

if(!isset($_GET['id']) || !isset($_GET['val'])) {
	//ID oder VAL wurde uns nicht mitgeteilt!
	DIE("ID oder VAL nicht bermittelt!");
}

//Wir haben fr beide Eintrge Daten erhalten
$ids = $_GET['id'];
$values = $_GET['val'];

if(count($ids) != count($values)) {
	DIE("Ungleich viele IDs und Werte bekommen");
}

//Sicherheitshalber beide Arrays noch mal in ihren jeweiligen
//nativen Datentyp umwandeln
foreach($ids AS $id) $id = intval($id);
foreach($values AS $value) $value = floatval($value);

if($DEBUG) echo "Habe ".count($ids)." IDs und Messwerte bekommen<br>";


//Verbindung auf die Datenbank aufbauen
mysql_connect($CONF_DB_host, $CONF_DB_user, $CONF_DB_pass)
	OR DIE("Konnte nicht zur DB verbinden");
//Datenbank auswhlen
mysql_select_db($CONF_DB_db)
	OR DIE("Konnte die Datenbank nicht auswhlen!");
if($DEBUG) echo "Zur Datenbank verbunden<br>";

//Fr jeden erhaltenen Messwert Prfen, ob diese Messstelle in der Datenbank vorhanden ist. Falls ja den Messwert entsprechen umrechnen und einfgen!
$i = 0;
$timestamp = time();
for($i=0; $i<count($ids);$i++) {
	echo "<br>Fr Messstelle: ".$ids[$i]."<br>";
	//Versuchen wir diese Messstelle in der Datenbank zu finden:
	$result = mysql_query("SELECT ID, Messstelle, Multiplikator, Offset, Epsilon, Timeout FROM sensor WHERE Messstelle = ".$ids[$i].";")
		OR DIE(mysql_error());
	

	if(mysql_num_rows($result) > 0) {
		//Wir haben eine oder mehrere Messstellen mit dieser ID gefunden.
		//Wir wrden aber eh nur die erste nehmen ;)
		$row = mysql_fetch_row($result);
		echo "-> Mit ID=".$row[0]." in Datenbank gefunden.<br>";

		echo "-> bermittelter Wert ".$values[$i]."<br>";
		$angepassterWert = $values[$i]*$row[2] + $row[3];
		echo "-> Angepasster Wert ".$angepassterWert."<br>";

		echo "-> Epsilon (Auflsung, bzw hier minimale nderung) der Messstelle: ".$row[4]."<br>";
		//Den letzten Wert aus der Datenbank holen um ihn vergleichen zu knnen
		$letzterWert = mysql_query("SELECT Wert, Timestamp FROM messwert WHERE Timestamp = (SELECT MAX(Timestamp) FROM messwert WHERE ID_sensor = ".$row[0].");");
		$schreiben = true;
		if($letzterWert) {
			//Es gibt einen letzten Wert!
			echo "-> Letzten Wert gefunden!<br>";
			$letzterWert = mysql_fetch_row($letzterWert);
			
			if(abs($letzterWert[0]-$angepassterWert)<$row[4]) {
				$schreiben = false;
				echo "-> nderung zu klein zum Schreiben!<br>";
			}

			if(($timestamp-$letzterWert[1]) > $row[5]) {
				$schreiben = true;
				echo "-> Timeout zwingt uns zum Schreiben!<br>";
			}
		} else {
			echo "-> Keinen Letzten Wert in der DB gefunden. Wir schreiben auf jeden Fall!<br>";
		}

		if($schreiben) {
			//Fgen wir den bermittelten Wert in die Datenbank ein!
			mysql_query("INSERT INTO messwert (ID_sensor, Timestamp, Wert) VALUES (".$row[0].",".$timestamp.",".$angepassterWert.");")
				OR DIE(mysql_error());

			echo "-> Affected Rows beim Einfgen: ".mysql_affected_rows()."<br>";
		}
	} else {
		echo "-> Nicht in Datenbank gefunden!<br>";
	}
}
echo "<br> Fertig!<br>";
?>
