<?php
/*
#######################################
Datenauswertung fr den HTTP_CLIENT fr AVR NET IO mit RoBue1.5
#######################################

 2011 Chris Fiege    < Chris.Fiege@web.de >

This program is free software; you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by the Free Software 
Foundation; either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this 
program; if not, see <http://www.gnu.org/licenses/>.

*/

require 'phplot/phplot.php';
require_once("config.inc.php");

//Verbindung auf die Datenbank aufbauen
mysql_connect($CONF_DB_host, $CONF_DB_user, $CONF_DB_pass)
	OR DIE();
//Datenbank auswhlen
mysql_select_db($CONF_DB_db)
	OR DIE();

if(!isset($_GET['id'])) DIE();
if(!is_array($_GET['id'])) {
	//Der Aufruf erfolgt ber die alte Notation, umwandeln in die neue:
	if($DEBUG) echo "Alter Aufruf...<br>";
	$ids = array(intval($_GET['id']));
} else {
	//Der Aufruf erfolgt ber die neue Notation => Prfen, ob alle Werte Ints sind!
	if($DEBUG) echo "Neuer Aufruf...<br>";
	$ids = array();
	foreach($_GET['id'] AS $id) {
		$ids[] = intval($id);
	}
}


if($DEBUG) echo "Lnge des Messstellen-ID-Arrays: ".sizeof($ids)."<br>";

$searchstring = "";
for($i = 0; $i < (sizeof($ids)-1); $i++) {
	$searchstring = $searchstring."Messstelle = ".$ids[$i]." OR ";
}
$searchstring = $searchstring."Messstelle = ".$ids[sizeof($ids)-1];


if($DEBUG) echo "Suchestring der Messstellen: >$searchstring< <br>";
	
//Versuchen wir diese Messstelle in der Datenbank zu finden:
// $result = mysql_query("SELECT ID, Messstelle, Beschreibung, Einheit, lastval FROM sensor WHERE $searchstring;")
$result = mysql_query("SELECT ID, Messstelle, Beschreibung, Einheit FROM sensor WHERE $searchstring;")
	OR DIE();

if(!$result) {
	DIE();
}
if($DEBUG) echo "Habe ".mysql_num_rows($result)." IDs von Messstellen erhalten!<br>";


//Messstellendaten sichern
$stellendaten = array();
while($row = mysql_fetch_row($result)) {
	$stellendaten[] = $row;
	if($DEBUG) echo "Stelle $row[0]: $row[2]<br>";
}

$time = 24*60*60;
if(isset($_GET['time'])) $time = $_GET['time']*60*60;

//Suchstring fr die Daten vorbereiten:
$searchstring = "";
for($i = 0; $i < (sizeof($stellendaten)-1); $i++) {
	$searchstring = $searchstring."ID_sensor = ".$stellendaten[$i][0]." OR ";
}
$searchstring = $searchstring."ID_sensor = ".$stellendaten[sizeof($stellendaten)-1][0];


if($DEBUG) echo "Suchestring der Daten: >$searchstring< <br>";

//Daten fr die Messstellen holen!
$result = mysql_query("SELECT ID_sensor, Wert, Timestamp FROM messwert WHERE ($searchstring) AND Timestamp > ".(time()-$time)." ORDER BY Timestamp ASC;")
	OR DIE();

if($DEBUG) echo "Habe ".mysql_num_rows($result)." Datenreihen geholt!<br>";


//Datenarray fr PHPlot zusammenbauen
$daten = array();

//leeres vorlagenarray erzeugen:
$larr = array('','');
for($i=0; $i<sizeof($stellendaten); $i++) {
	$larr[] = '';
}


while($row = mysql_fetch_row($result)) {
	// Fr jede Datenzeile:
	
	// Neue Zeile vorbereiten
	$narr = $larr;
	
	// Timestamp kopieren:
	$narr[1] = (($row[2]-time())/60/60);
	
	//Position der Messstelle suchen:
	for($i=0; $i<sizeof($stellendaten); $i++) {
		if($stellendaten[$i][0] == $row[0]) {
			$pos = $i;
			break;
		}
	}
	//Messwert an die richtige Stelle schreiben:
	$narr[$pos+2] = $row[1];
	
	//Array anhngen:
	$daten[] = $narr;
}

if($DEBUG) echo "Habe ".sizeof($daten)." Datenreihen im Datenarray<br>";
	
//Baue Legend-Array Auf:
$legend = array();
foreach($stellendaten AS $stelle) {
	//Mittelwert
	$mittelwert = mysql_query("SELECT AVG(Wert) FROM messwert WHERE ID_sensor = ".$stelle[0]." AND Timestamp > ".(time()-$time).";");
	$mittelwert = mysql_fetch_row($mittelwert);
	
	$legend[] = "".$stelle[2].": ".$stelle[4].$stelle[3]." (Mittel: ".sprintf("%.1f",$mittelwert[0]).$stelle[3].")";
}
	

$plot = new PHPlot(800,500);
$plot->SetImageBorderType('plain');
$plot->SetDataType('data-data');
$plot->SetPlotType('lines');
$plot->SetLineWidth(1);
$plot->SetTitle($_GET['title']."\nTemperaturverlauf vom ".date("H:i:s d.m.y"));
$plot->SetDrawDashedGrid(true);
$plot->SetDrawXGrid(true);
$plot->SetDrawXGrid(true);
$plot->SetXLabelType('data', 1);
$plot->SetDataValues($daten);
$plot->SetYTitle($stellendaten[3]);
$plot->SetXTitle("Zeit in Stunden seit jetzt");
//$plot->SetDataColors('blue','red','black');
$plot->SetNumXTicks(24);
$plot->SetYTickIncrement(1);
$plot->SetLegend($legend);
$plot->SetLineStyles("solid");
$plot->SetImageBorderType("none");
$plot->DrawGraph();

?>
